# Glom::PyGlomUI Class Reference

Collaboration diagram for Glom::PyGlomUI:
[legend]

List of all members.

## Public Member Functions

| PyGlomUI ()
| PyGlomUI (const PythonUICallbacks& callbacks)
| ~PyGlomUI ()
void | show_table_details (const std::string& table_name, const boost::python::object& primary_key_value)
| Navigate to the named table, showing the details view for the specified record.
void | show_table_list (const std::string& table_name)
| Navigate to the named table, showing its list view.
void | print_layout ()
| Print the current view of the current table.
void | print_report (const std::string& report_name)
| Print the named report from the current table.
void | start_new_record ()
| Offer the user the UI to add a new record.

## Constructor & Destructor Documentation

Glom::PyGlomUI::PyGlomUI | ( |  | ) |

Glom::PyGlomUI::PyGlomUI | ( | const PythonUICallbacks& | callbacks | ) | `[explicit]`

Glom::PyGlomUI::~PyGlomUI | ( |  | ) |

## Member Function Documentation

void Glom::PyGlomUI::print_layout | ( |  | ) |

Print the current view of the current table.

void Glom::PyGlomUI::print_report | ( | const std::string & | report_name | ) |

Print the named report from the current table.

void Glom::PyGlomUI::show_table_details | ( | const std::string & | table_name,
|  | const boost::python::object & | primary_key_value |
| ) |  |  |

Navigate to the named table, showing the details view for the specified record.

void Glom::PyGlomUI::show_table_list | ( | const std::string & | table_name | ) |

Navigate to the named table, showing its list view.

void Glom::PyGlomUI::start_new_record | ( |  | ) |

Offer the user the UI to add a new record.

The documentation for this class was generated from the following files:

- python_embed/py_glom_ui.h
- python_embed/py_glom_ui.cc